curl --request POST \
--url https://api.getivy.de/api/service/counterparty/create \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"financialAddress": {},
"name": "<string>",
"isSelfOwned": false,
"dateOfBirth": "<string>",
"metadata": {}
}
'import requests
url = "https://api.getivy.de/api/service/counterparty/create"
payload = {
"financialAddress": {},
"name": "<string>",
"isSelfOwned": False,
"dateOfBirth": "<string>",
"metadata": {}
}
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Ivy-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
financialAddress: {},
name: '<string>',
isSelfOwned: false,
dateOfBirth: '<string>',
metadata: {}
})
};
fetch('https://api.getivy.de/api/service/counterparty/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"entityType": "business",
"isSelfOwned": true,
"blocked": true,
"financialAddress": {
"type": "iban",
"iban": {
"accountHolderName": "<string>",
"iban": "<string>",
"bic": "<string>"
},
"aba": {
"accountHolderName": "<string>",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"bic": {
"accountHolderName": "<string>",
"accountNumber": "<string>",
"bic": "<string>",
"localBankCode": "<string>"
},
"sortCode": {
"accountHolderName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>"
},
"bankCode": {
"accountHolderName": "<string>",
"code": "<string>",
"accountNumber": "<string>"
},
"bban": {
"accountHolderName": "<string>",
"bban": "<string>",
"bic": "<string>"
},
"wallet": {
"address": "<string>",
"blockchain": "BTC"
}
},
"physicalAddress": {
"city": "<string>",
"countryCode": "AF",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dateOfBirth": "<string>",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}Create a counterparty
Create a counterparty owned by the merchant.
Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
The counterparty financial address
Show child attributes
Show child attributes
The counterparty name
Whether the counterparty is a business or an individual
business, individual Whether the counterparty is owned by the merchant
A structured physical postal address.
Show child attributes
Show child attributes
The counterparty date of birth as YYYY-MM-DD
^\d{4}-\d{2}-\d{2}$The counterparty metadata
Show child attributes
Show child attributes
Response
The created counterparty
The counterparty id
The counterparty name
Whether the counterparty is a business or an individual
business, individual Whether the counterparty is owned by the merchant
Whether payments to and from the counterparty are blocked
The counterparty financial address
Show child attributes
Show child attributes
A structured physical postal address.
Show child attributes
Show child attributes
The counterparty date of birth as YYYY-MM-DD
The counterparty metadata
Show child attributes
Show child attributes
When the counterparty was created
When the counterparty was last updated
Was this page helpful?